Page MenuHomeFreeBSD

Document that gettimeofday() is obsolescent
ClosedPublic

Authored by 0mp on Mar 3 2020, 3:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 2, 6:26 AM
Unknown Object (File)
Sun, May 19, 2:06 AM
Unknown Object (File)
Fri, May 17, 12:07 PM
Unknown Object (File)
May 6 2024, 7:53 PM
Unknown Object (File)
Apr 29 2024, 3:05 AM
Unknown Object (File)
Apr 28 2024, 8:06 PM
Unknown Object (File)
Apr 28 2024, 5:36 PM
Unknown Object (File)
Apr 26 2024, 4:28 PM

Details

Summary
Document that gettimeofday() is obsolescent

Reported by:	kaktus

I am not sure if I should put the link to this document in the commit message:
https://pubs.opengroup.org/onlinepubs/9699919799/functions/gettimeofday.html

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

  • Hard-code the correct standards name. mdoc cannot do it on its own at the moment.
0mp added inline comments.
lib/libc/sys/gettimeofday.2
142 ↗(On Diff #69124)

Related differential revision: https://reviews.freebsd.org/D23944

What's the status on this? Seems like all issues were resolved and it is ready for commit?

This revision is now accepted and ready to land.Jun 21 2020, 8:22 AM
This revision was automatically updated to reflect the committed changes.

Sorry I'm late (no subscribe @manpages?)

How do you guys feel about similar language to PR #1195:

(First line after .Sh DESCRIPTION)
"Some commands attempt to describe the nature of a failure condition by using these pre-defined exit codes. This interface has been deprecated and is retained only for compatibility. Its use is discouraged."

I don't like the first line in the description being a emphasized note of depreciation. The first line in the description should explain what the manual is about. 10x as many people read the manual to determine what's going on with their existing stuff as they do to write new stuff. I also really prefer consistent syntax of "deprecated" over obsolescent, we say deprecated most of the time.

What we have in #1195 doesn't imply that it will be removed, but firmly, clearly and immediately states that it is deprecated, without resorting to Em, and still explaining what the page is about. And it's terse :)